summaryrefslogtreecommitdiffstats
path: root/source/installer/build_installer.sh
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-06-21 05:18:41 +0000
committer Eric Hameleers <alien@slackware.com>2018-06-21 19:27:50 +0200
commitb893b1174dfcd0fdc84aa597eee76b797d6d7b11 (patch)
tree4680d457b726c2ad611492ff14e092446a1d983b /source/installer/build_installer.sh
parent7e5ee73de954e6c084195b0a1fa6ef01a78d092f (diff)
downloadcurrent-bb6ae47fde2279a390a7222585b3b9cf74a20403.tar.gz
current-bb6ae47fde2279a390a7222585b3b9cf74a20403.tar.xz
Thu Jun 21 05:18:41 UTC 201820180621051841
a/kernel-generic-4.14.51-x86_64-1.txz: Upgraded. a/kernel-huge-4.14.51-x86_64-1.txz: Upgraded. a/kernel-modules-4.14.51-x86_64-1.txz: Upgraded. d/kernel-headers-4.14.51-x86-1.txz: Upgraded. d/parallel-20180622-noarch-1.txz: Upgraded. k/kernel-source-4.14.51-noarch-1.txz: Upgraded. l/libedit-20180525_3.1-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/installer/build_installer.sh')
-rwxr-xr-xsource/installer/build_installer.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/source/installer/build_installer.sh b/source/installer/build_installer.sh
index 290adcd5e..951977128 100755
--- a/source/installer/build_installer.sh
+++ b/source/installer/build_installer.sh
@@ -695,8 +695,8 @@ else
DROPBEARPATH=$SLACKROOT/source/installer/dropbear
fi
[ ! -d $DROPBEARPATH ] && ( echo "No directory '$DROPBEARPATH'" ; exit 1 )
-DROPBEARPKG=$(ls -1 $DROPBEARPATH/dropbear-*.tar.bz2 | head -1)
-DROPBEARVER=$(echo $DROPBEARPKG | sed -e "s#.*/dropbear-\(.*\).tar.bz2#\1#")
+DROPBEARPKG=$(ls -1 $DROPBEARPATH/dropbear-*.tar.lz | head -1)
+DROPBEARVER=$(echo $DROPBEARPKG | sed -e "s#.*/dropbear-\(.*\).tar.lz#\1#")
tar x${VERBOSE2}f $DROPBEARPKG
echo "--- Compiling DROPBEAR version '$DROPBEARVER' ---"
@@ -709,12 +709,12 @@ PROGS="dropbear dbclient dropbearkey dropbearconvert scp ssh"
# Patch to allow empty passwords (used in Slackware's installer):
patch -p1 ${VERBOSETXT} < $DROPBEARPATH/dropbear_emptypass.patch || exit 1
-# Apply xauth path patch
-patch -p0 ${VERBOSETXT} < $DROPBEARPATH/dropbear.xauth.patch || exit 1
-# Change the path used for dbclient because our prefix is '/' not '/usr':
-patch -p1 ${VERBOSETXT} < $DROPBEARPATH/dropbear_dbclientpath.patch || exit 1
-# Patch for new glibc crypt() that may return NULL:
-patch -p1 < $DROPBEARPATH/dropbear.glibc.crypt.diff
+
+# Set local options, such as dbclient is in /bin (due to prefix=/):
+cp $DROPBEARPATH/localoptions.h .
+
+autoconf || exit 1
+autoheader || exit 1
# Configure:
CFLAGS="$SLKCFLAGS" \